Jump to content
TrinityCore

Recommended Posts

2 hours ago, basketballkid said:

I compiled the core succefully and when i configured in cmake i get these errors

 

How were you able to compile the core successfully if you are having issues with cmake?

Anyhow, read the error. It's says it can't find Mysql libs.. which means you dont have mysql installed or need to re-install mysql server/client on windows.
Read the steps, line by line https://trinitycore.atlassian.net/wiki/spaces/tc/pages/10977329/Windows+Core+Installation

Share this post


Link to post
Share on other sites

Hey everyone,

after the last commits I am unable to compile the server.
I am using Debian stretch x64.

Everything was fine and now I get this:

[ 41%] Built target ScriptPCH.cpp_dephelp
[ 41%] Built target generate_ScriptPCH.cpp
make[2]: *** Keine Regel vorhanden, um das Ziel „../src/server/scripts/EasternKingdoms/zone_burning_steppes.cpp“,
  benötigt von „src/server/scripts/CMakeFiles/scripts.dir/EasternKingdoms/zone_burning_steppes.cpp.o“, zu erstellen.  Schluss.
CMakeFiles/Makefile2:1667: die Regel für Ziel „src/server/scripts/CMakeFiles/scripts.dir/all“ scheiterte
make[1]: *** [src/server/scripts/CMakeFiles/scripts.dir/all] Fehler 2
Makefile:127: die Regel für Ziel „all“ scheiterte
make: *** [all] Fehler 2

So it says no rule but I haven't changed anything, I just pulled the latest commits.

Elygor77

Share this post


Link to post
Share on other sites

25>  Building Custom Rule C:/TrinityCore/Legion/src/server/worldserver/CMakeLists.txt
25>  CMake does not need to re-run because C:\TrinityCore\Legion\build\src\server\worldserver\CMakeFiles\generate.stamp is up-to-date.
25>  worldPCH.cpp
25>  Main.cpp
25>  CliRunnable.cpp
25>  RASession.cpp
25>  TCSoap.cpp
25>  WheatyExceptionReport.cpp
25>  ServiceWin32.cpp


Stay on ServiceWin32.cpp , is that a bug from the core or from myself? :unsure: (under windows 10)

Share this post


Link to post
Share on other sites

Running Trinity WoW 3.3.5 server for a while.

Last compile failed. (with jemalloc 4.0.4 update),

What am I missing?

Branch:  2017-11-20 14:25:45 +0100 (3.3.5 branch)

Centos 6.9 with devtoolset-6 (64bit)

cmake version 3.6.2

 

[ 17%] Linking CXX executable authserver
[ 17%] Building CXX object src/server/game/CMakeFiles/game.dir/AI/CreatureAI.cpp.o
[ 18%] Building CXX object src/server/game/CMakeFiles/game.dir/AI/CreatureAIRegistry.cpp.o
../../../dep/jemalloc/libjemalloc.a(jemalloc.c.o): In function `malloc_conf_init':
/home/wow335/TrinityCore/dep/jemalloc/src/jemalloc.c:919: undefined reference to `secure_getenv'
collect2: error: ld returned 1 exit status
 

Edited by Ornasus

Share this post


Link to post
Share on other sites
1 hour ago, codeman8214 said:

Ubuntu is what your missing lol all joking aside a reference error try and recompile again with updated repo

Looks like I found the issue

secure_getenv requires glibc 2.17  (whereas CentOS 6 has 2.12)

 

Share this post


Link to post
Share on other sites

Hello, i uing CentOS 7.

I clean installing and get an two error:

[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/Ray.cpp.o
In file included from /usr/local/include/boost/preprocessor/list/fold_left.hpp:41:0,
                 from /usr/local/include/boost/preprocessor/control/while.hpp:21,
                 from /usr/local/include/boost/preprocessor/arithmetic/add.hpp:20,
                 from /usr/local/include/boost/mpl/aux_/preprocessor/def_params_tail.hpp:66,
                 from /usr/local/include/boost/mpl/aux_/na_spec.hpp:28,
                 from /usr/local/include/boost/mpl/if.hpp:19,
                 from /usr/local/include/boost/date_time/constrained_value.hpp:16,
                 from /usr/local/include/boost/date_time/gregorian/greg_weekday.hpp:12,
                 from /usr/local/include/boost/date_time/gregorian/greg_calendar.hpp:14,
                 from /usr/local/include/boost/date_time/gregorian/gregorian_types.hpp:19,
                 from /usr/local/include/boost/date_time/posix_time/posix_time_config.hpp:18,
                 from /usr/local/include/boost/date_time/posix_time/posix_time_system.hpp:13,
                 from /usr/local/include/boost/date_time/posix_time/ptime.hpp:12,
                 from /usr/local/include/boost/date_time/posix_time/posix_time_types.hpp:12,
                 from /usr/local/include/boost/asio/time_traits.hpp:23,
                 from /usr/local/include/boost/asio/deadline_timer_service.hpp:27,
                 from /usr/local/include/boost/asio/basic_socket_streambuf.hpp:24,
                 from /usr/local/include/boost/asio/basic_socket_iostream.hpp:24,
                 from /usr/local/include/boost/asio/ip/tcp.hpp:20,
                 from /home/GameServer/WOW/LitchKing/TrinityCore/src/server/shared/PrecompiledHeaders/sharedPCH.h:24,
                 from /home/GameServer/WOW/LitchKing/TrinityCore/src/server/shared/PrecompiledHeaders/sharedPCH.cpp:18:
/usr/local/include/boost/preprocessor/list/detail/fold_left.hpp:19:44: ошибка: /usr/local/include/boost/preprocessor/list/adt.hpp: Ошибка ввода/вывода
 # include <boost/preprocessor/list/adt.hpp>
                                            ^
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/RegistryUtil.cpp.o
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/Sphere.cpp.o
make[2]: *** [src/server/shared/CMakeFiles/sharedPCH.cpp_dephelp.dir/PrecompiledHeaders/sharedPCH.cpp.o] Ошибка 1
make[1]: *** [src/server/shared/CMakeFiles/sharedPCH.cpp_dephelp.dir/all] Ошибка 2
make[1]: *** Ожидание завершения заданий...
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/stringutils.cpp.o
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/System.cpp.o
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/TextInput.cpp.o
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/TextOutput.cpp.o
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/Triangle.cpp.o
[  9%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/uint128.cpp.o
[ 10%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/UprightFrame.cpp.o
[ 10%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/Vector2.cpp.o
[ 10%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/Vector3.cpp.o
[ 10%] Building CXX object dep/g3dlite/CMakeFiles/g3dlib.dir/source/Vector4.cpp.o
[ 10%] Linking CXX static library libg3dlib.a
[ 10%] Built target g3dlib
make: *** [all] Ошибка 2

 

Share this post


Link to post
Share on other sites

It seems that jemalloc has been upgraded. I couldn't get it to work with ubuntu 16, the contributor got it working with ubuntu 17. I am not sure if this is a requirement change or a temporary gap. This link details the issue (skip to the bottom, rather than the changes themselves)

https://github.com/TrinityCore/TrinityCore/commit/92cd9bd70db460fdce4af0596cf9d8ee3c3abad5

Share this post


Link to post
Share on other sites

What exactly is different between 16 and 17? is it an updated gcc? updated cmake? I want this to still work with debian 8, since I am in no mood to update all my websites to php7 at this time. Working on it slowly, but I don't really have time for that...

Share this post


Link to post
Share on other sites

ATM we are using Ubuntu 16.04 LTS for the mySQL Server (and a lot of other serving software) but still Windows for Trinity Core.

As 16.04 is a LTS version it will stay for many years. I'm also interested why there would be a need to update a LTS version to some other non LTS version. IMHO for me it even doesn't make sense to update to next LTS 18.04 because it will be a brandnew version mostly less supported by companies, providers and community in the beginning.

Share this post


Link to post
Share on other sites
50 minutes ago, Magnuss said:

ATM we are using Ubuntu 16.04 LTS for the mySQL Server (and a lot of other serving software) but still Windows for Trinity Core.

As 16.04 is a LTS version it will stay for many years. I'm also interested why there would be a need to update a LTS version to some other non LTS version. IMHO for me it even doesn't make sense to update to next LTS 18.04 because it will be a brandnew version mostly less supported by companies, providers and community in the beginning.

Because we don't want to wait years to get people updated to have new c++ features :)

GUjxvS8.png

Share this post


Link to post
Share on other sites

I know this part of the wiki. To tell the truth, exactly that's the point why we are using Windows.

1 hour ago, Aokromes said:

Because we don't want to wait years to get people updated to have new c++ features

But 'we' means here 'some people' while some other people may prefers a more professional approach where stability goes over the wish to have always the latest gimmicks. (The term professional doesn't means in this case commercial.) Security patches, updates, testing, support, widely used release, hardware compatibility are some of the reasons to choose LTS.

The funny fact is that Blizzard make it's own WotLK server software 10 years ago. And it was working. And I'm quite sure 2007 was no need for Ubuntu 17.x, wasn't it?

Here are some nice words to LTS:

https://askubuntu.com/questions/16366/whats-the-difference-between-a-long-term-support-release-and-a-normal-release?noredirect=1&lq=1

In addition to support, there are Development strategies that differentiate an LTS release:

  • The base of the operating system, Debian, comes in three versions: Stable, Testing and Unstable. Normally, Ubuntu is based on Unstable; the LTS releases are based on Testing. Starting with 14.04 LTS, all new releases will be based on Debian Unstable.

  • The Development effort for an LTS release in focused on providing a rock solid base, not only for customers who want the LTS release, but also for the next three Ubuntu versions to come.

https://wiki.ubuntu.com/LTS

Furthermore, we define the LTS to be:

  • Enterprise Focused: We are targeting server and multiple desktop installations, where the average user is moderately risk averse.

  • Compatible with New Hardware: We will make point releases throughout the development cycle to provide functional support for new server and desktop hardware.

  • More Tested: We will shorten the development window and extend the Beta cycle to allow for more testing and bug fixing

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

  • Similar Content

    • By Deer_Hunter
      Hello all,
      I just updated from the latest Git 
      Trinity Core REV. ac6baa547376 + 2020-02-21  3.3.5 Branch.
      I'm getting this error after crash.
      Problem signature:
        Problem Event Name:    APPCRASH
        Application Name:    worldserver.exe
        Application Version:    0.0.0.0
        Application Timestamp:    5e50a462
        Fault Module Name:    StackHash_f12f
        Fault Module Version:    6.3.9600.19629
        Fault Module Timestamp:    5e2fdc0d
        Exception Code:    c0000374
        Exception Offset:    PCH_9E_FROM_ntdll+0x0000000000090D0A
        OS Version:    6.3.9600.2.0.0.272.7
        Locale ID:    1033
        Additional Information 1:    f12f
        Additional Information 2:    f12f0934d3e965f73c68e60f20f2cd40
        Additional Information 3:    7595
        Additional Information 4:    7595e4d8d703db9dcd3d2f6ea540e357
      the exception code says its a Heap error,  I'm not sure how to troubleshoot this.
      Thanks
    • By 939h
      Hi,

      The chat channel Lookup for group is not available when a player isn't in a city. I tried to modify the worldserver.conf file with:
      #
      #    Channel.RestrictedLfg
      #        Description: Restrict LookupForGroup channel to characters registered in the LFG tool.
      #        Default:     1 - (Enabled, Allow join to channel only if registered in LFG)
      #                     0 - (Disabled, Allow join to channel in any time)
      Channel.RestrictedLfg = 0

      I restarted the server but it didn't help.

      Thanks
    • By meeek
      Hey, I've been trying to compile from github the core from 6.2.3/6.2.4, I'm well aware its stopped developing. I cannot get it to configure properly in CMake, nor can I obviously build it.
       
      I'd be willing to pay for help and get this working and running. I want to develop my own server on my freetime as a learning project and for entertainment. I can't find any core for WoD, sadly.. Very hard, would appreciate any quick help
       
    • By Probie_Wan_Kenobi
      I believe everything I have done up to this point has been correct. When I go to launch worldserver.exe a console window opens up for a second and closes right away and nothing else seems to have happened. I skipped a head a little in the instructions to see what is left and step 5 seems skippable since I am running this only for this computer and step 6 has me launch to a log in screen which I can not get to. I tried going to the faq but the page was not loading properly so I am forced to post here.
    • By Wark
      I'd just like to get a little insight to why so much of the current Trinitycore code doesn't match up to a few years ago.
      Now I know I'm not a pro at coding on Trinitycore and I understand that the core is open sourced but these just seem so significant and doesn't seem right to remove this stuff.
       
      Let me give an example. Lets say I'm watching this tutorial to get a little information about classes and methods that I can use when making a script. (I've also been using the Trinitycore Code Documentation as reference as well but it also seems to show the same issues)
      Although the tutorial is a little out of date, I don't see why OnGossipSelect doesn't exist anywhere in CreatureScript and that when I try to link the script to the core code it spits out this error.
      object of abstract class type "GossipTeleporter" is not allowed:
      pure virtual function "CreatureScript::GetAI" has no overrider
      The DEFINES of "ADD_GOSSIP_ITEM" and many more don't exist either.
       
      Am I missing something? All I want to know is if the core is mean't to be this way and if not should I download an older version of the core before I put to much working into my current core.
      (I downloaded my core right from the Trinitycore website tutorial)
       
      I'm currently trying to write a simple gossipteleporter that will let you talk to an npc and teleport to the given location. It's very hard to do this when so many things just don't exist within my core.
       
      EXTRA: I pasted this into a new custom script just to see if I would get errors and I got a lot of different errors: http://pastebin.com/raw/G62e0t49
      This was obtained from here: http://www.ac-web.org/forums/showthread.php?129885-Request-Teleporter-NPC-for-TrinityCore
      By no means am I looking to copy the code from the two links above, I was using them as a test to see if my core accepted them.
       
      Thanks,
      Wark
×
×
  • Create New...